Package org.eclipse.equinox.p2.metadata.index

# Interface IIndex<T>

public interface IIndex<T>
Indexed access to the elements provided by an IQueryable

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Iterator<T>`
`getCandidates(IEvaluationContext ctx, IExpression variable, IExpression booleanExpr)`
Obtains the elements that are candidates for the given `booleanExpr` when applied using the given `variable` as `this`.

## Method Details

### getCandidates

Iterator<T> getCandidates(IEvaluationContext ctx, IExpression variable, IExpression booleanExpr)
Obtains the elements that are candidates for the given `booleanExpr` when applied using the given `variable` as `this`. The returned set of elements are the elements that must be present in order for the expression to evaluate to `true`. The set may contain false positives. TODO: Write more about how the valid set of elements is determined.

Parameters:
  `ctx` - The evaluation context used when examining the `booleanExpr`.
  `variable` - The variable used as `this`.
  `booleanExpr` - The boolean expression.
Returns:
  The candidate elements or `null` if this index cannot be used.